Subject: Re: bug#38257: Acknowledgement (27.0.50; ERC does not match or highlight nick surrounded by parens)

From: Amin Bandali <[email-masked]>
Date: Fri, 22 Nov 2019 08:42:59 -0500

Lars Ingebrigtsen <[email-masked]> writes:

[...]
>
> So I think for this to work with erc, I think
> it would make sense to separate out the URL
> recognition in erc from other buttons, and
> base it on browse-url-button-regexp instead,
> which has worked out these kinks and is
> pretty DWIM.
>
> And then you can change the syntax table to
> make the other, simpler buttons (for nicks
> etc) work.

Nice, I think that would make sense.  FWIW, I'm
not familiar with how ERC does URL recognition
either, but I'll try to look into it soon-ish.
In the mean time, if anyone else is familiar
with this already, your help would be much
appreciated. :)

Also, I'll keep on using my patch on my local
checkout and will report back if I notice any
serious issues.  So far it's been working
pretty nicely here, minus the URL buttons.